=== debian/changelog ===
signify-openbsd (12-1) unstable; urgency=medium

  * Moved to unstable
  * New upstream version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Fri, 24 Jul 2015 18:13:13 +1000

signify-openbsd (10-1) experimental; urgency=low

  * Added Theo de Raadt to d/copyright for arc4random.c and arc4random.h
  * Explicitly declare that the libbsd0 version required must be at least 0.7.0
  * Migrated to collab-maint; updated Vcs-* fields
  * New upstream version
  * Regenerated patches in d/patches to work wih the new upstream version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sun, 22 Mar 2015 14:38:30 +1100

signify-openbsd (9-1) experimental; urgency=low

  * Initial release (Closes: #773850)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Tue, 23 Dec 2014 18:07:46 +1100
