## signify-openbsd 13

=== Makefile ===
--- 
+++ 
@@ -3,24 +3,50 @@
 # Adrian Perez, 2014-01-14 14:33
 #
 
+PLEDGE ?= noop
 CFLAGS += $(EXTRA_CFLAGS)
 LDFLAGS += $(EXTRA_LDFLAGS)
 
 S := crypto_api.c \
      mod_ed25519.c \
-		 mod_ge25519.c \
-		 fe25519.c \
-		 sc25519.c \
-		 smult_curve25519_ref.c \
-		 bcrypt_pbkdf.c \
-		 timingsafe_bcmp.c \
-		 explicit_bzero.c \
-		 blowfish.c \
-		 base64.c \
-		 sha2.c \
-		 sha256hl.c \
-		 sha512hl.c \
-		 signify.c
+	 mod_ge25519.c \
+	 fe25519.c \
+	 sc25519.c \
+	 smult_curve25519_ref.c \
+	 bcrypt_pbkdf.c \
+	 timingsafe_bcmp.c \
+	 explicit_bzero.c \
+	 blowfish.c \
+	 base64.c \
+	 sha2.c \
+	 sha256hl.c \
+	 sha512hl.c \
+	 signify.c
+
+CPPFLAGS += -include compat.h
+
+PLEDGE := $(strip $(PLEDGE))
+ifneq ($(PLEDGE),)
+    S += pledge_$(PLEDGE).c
+endif
+
+
+all: signify
+
+
+# In order to use libwaive, we need libseccomp and making sure that the
+# Git submodule corresponding to libwaive is properly checked out.
+ifeq ($(PLEDGE),waive)
+SECCOMP_CFLAGS := $(shell pkg-config libseccomp --cflags)
+SECCOMP_LIBS   := $(shell pkg-config libseccomp --libs)
+CFLAGS  += $(SECCOMP_CFLAGS) -pthread
+LDFLAGS += $(SECCOMP_LIBS) -pthread
+S       += libwaive/waive.c
+
+libwaive/waive.c: .gitmodules
+	git submodule init && git submodule update libwaive
+	touch $@
+endif
 
 ifeq ($(strip $(VERIFY_ONLY)),)
 S += ohash.c
@@ -35,8 +61,8 @@
      $(warning )
 endif
 
-ifeq ($(strip $(BOUNDS_CHECKING)),)
-    CPPFLAGS += -D'__bounded__(a,b,c)='
+ifeq ($(strip $(BOUNDS_CHECKING)),1)
+    CPPFLAGS += -DCOMPAT_BOUNDS_CHECKING
 endif
 
 ifneq ($(strip $(LTO)),)
@@ -54,8 +80,6 @@
 
 PKG_CFLAGS := $(shell pkg-config libbsd --cflags)
 PKG_LDLIBS := $(shell pkg-config libbsd --libs)
-
-all: signify
 
 signify: $O
 	$(CC) $(LDFLAGS) -o $@ $^ $(PKG_LDLIBS)
