=== debian/changelog ===
signify-openbsd (13-1) unstable; urgency=medium

  * New upstream version
  * Updated copyright years
  * Updated patches to work with new version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Mon, 04 Jan 2016 22:27:55 +1100
