=== debian/control ===
Source: signify-openbsd
Section: utils
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Build-Depends: debhelper (>= 9), libbsd-dev (>= 0.7.0), pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/aperezdc/signify
Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git

Package: signify-openbsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbsd0 (>= 0.7.0)
Description: Lightweight cryptographic signing and verifying tool
 Similar to GNU Privacy Guard (GPG), signify is the tool which
 OpenBSD uses to cryptographically sign its releases, so that
 you can be sure that you are actually getting a release made by
 OpenBSD, as opposed to a malicious forgery designed to look
 the same.
 .
 Signify's usage is not limited to OpenBSD's releases, however -
 it can be used to sign anything.
 .
 So that it will work on Linux, the version of signify provided
 in this package is not exactly the same as the version provided
 in OpenBSD's CVS tree.
 .
 Please note that OpenBSD's public keys are not included with
 this package; you will have to find your own version in order
 to verify their releases.
