=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installman:
	mv signify.1 signify-openbsd.1
	dh_installman

override_dh_clean:
	if [ -f signify-openbsd.1 ]; then \
		mv signify-openbsd.1 signify.1; \
	fi
	dh_clean
