## signify-openbsd 21

=== debian/changelog ===
signify-openbsd (21-1) unstable; urgency=medium

  * d/control: make myself the maintainer (Closes: #855639)
  * d/*: refresh the build files
  * Bumped Standards-Version to 4.0.0 (no changes needed)
  * New upstream version 21

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jul 2017 13:20:55 +0200
