## signify-openbsd 22

=== debian/changelog ===
signify-openbsd (22-1) unstable; urgency=medium

  * New upstream version 22

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 23 Aug 2017 23:36:18 +0200
