=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: signify-openbsd
 Section: utils
 Priority: optional
-Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
-Build-Depends: debhelper (>= 9), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 3.9.6
+Maintainer: Tomasz Buchert <tomasz@debian.org>
+Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
+Standards-Version: 4.0.0
 Homepage: https://github.com/aperezdc/signify
 Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git
