=== debian/changelog ===
signify-openbsd (23-1) unstable; urgency=medium

  * New upstream version 23
  * Bumped Standards-Version to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 24 Nov 2017 08:50:45 -0500
