=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/aperezdc/signify
 Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git
