## signify-openbsd 24

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUNDLED_LIBBSD ?= 0
 PLEDGE         ?= noop
 WGET           ?= wget
-libbsd_VERSION ?= 0.8.3
+libbsd_VERSION ?= 0.9.1
 libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
 #                                                                #
 ##################################################################
@@ -27,6 +27,7 @@
 	 sha2.c \
 	 sha256hl.c \
 	 sha512hl.c \
+	 sha512_256hl.c \
 	 signify.c \
 	 zsig.c
 
@@ -69,13 +70,12 @@
 clean:
 
 
-# Building a static binary with Musl requires a patched libbsd.
+# Building a static binary with Musl requires a few extra steps.
 # The rules take care of:
 #
 #   - Downloading a release (needed tools: wget).
 #   - Check the PGP signature (needed tools: gpg).
 #   - Unpack the tarball (needed tools: xz, tar).
-#   - Patch libbsd (needed tools: patch).
 #   - Build libbsd.
 #
 # TODO: Also support curl for downloads.
@@ -84,7 +84,6 @@
 
 libbsd_VERSION  := $(strip $(libbsd_VERSION))
 libbsd_BASEURL  := $(strip $(libbsd_BASEURL))
-libbsd_PATCHES  := $(wildcard patches/libbsd-$(libbsd_VERSION)/*.patch)
 libbsd_TAR_NAME := libbsd-$(libbsd_VERSION).tar.xz
 libbsd_TAR_URL  := $(libbsd_BASEURL)/$(libbsd_TAR_NAME)
 libbsd_ARLIB    := libbsd-prefix/lib/libbsd.a
@@ -122,14 +121,7 @@
 	unxz -c $< | tar -xf -
 	touch $@
 
-libbsd-$(libbsd_VERSION)/.patched: libbsd-$(libbsd_VERSION)/configure $(libbsd_PATCHES)
-ifeq ($(MUSL),1)
-	@( cd libbsd-$(libbsd_VERSION) && for p in $(libbsd_PATCHES) ; do \
-		echo "==> $$p" && patch -p1 < "$(CURDIR)/$$p" ; done )
-endif
-	touch $@
-
-libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/.patched
+libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/configure
 	( cd libbsd-$(libbsd_VERSION) && ./configure \
 		--enable-static --disable-shared \
 		--prefix=$$(pwd)/../libbsd-prefix \
@@ -205,7 +197,7 @@
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBBSD_LDFLAGS) $(LDLIBS)
 
 clean-signify:
-	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c
+	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c sha512_256hl.c
 
 clean: clean-signify
 .PHONY: clean-signify
@@ -222,6 +214,11 @@
 	sed -e 's/hashinc/sha2.h/g' \
 	    -e 's/HASH/SHA512/g' \
 	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@
+
+sha512_256hl.c:	helper.c
+	sed -e 's/hashinc/sha2.h/g' \
+	    -e 's/HASH/SHA512_256/g' \
+	    -e 's/SHA512_256_CTX/SHA2_CTX/g' $< > $@
 
 install: signify signify.1.gz
 	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
