=== debian/changelog ===
signify-openbsd (24-1) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * Switch to dh compat 11
  * Fix insecure-copyright-format-uri
  * New upstream version 24

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 04 Sep 2018 08:17:07 +0200
