=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: signify-openbsd
+Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11), libbsd-dev (>= 0.7.0), pkg-config
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
+Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
-Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git
 
 Package: signify-openbsd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbsd0 (>= 0.7.0)
+Depends: libbsd0 (>= 0.7.0), ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that
