=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,13 @@
 	mv signify.1 signify-openbsd.1
 	dh_installman
 
+override_dh_auto_install:
+	dh_auto_install
+	# remove the openbsd manpage dir
+	rm -r debian/signify-openbsd/share
+	# move signify to signify-openbsd
+	mv debian/signify-openbsd/bin/signify debian/signify-openbsd/bin/signify-openbsd
+
 override_dh_clean:
-	if [ -f signify-openbsd.1 ]; then \
-		mv signify-openbsd.1 signify.1; \
-	fi
+	if [ -f signify-openbsd.1 ]; then mv signify-openbsd.1 signify.1; fi
 	dh_clean
