## signify-openbsd 26

=== debian/changelog ===
signify-openbsd (26-2) unstable; urgency=medium

  [Helmut Grohne]
  * Fix FTCBFS: Use a host architecture pkg-config (Closes: #933400)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 06 Aug 2019 16:21:14 +0200

signify-openbsd (26-1) unstable; urgency=medium

  * New upstream version 26

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 28 Jul 2019 09:56:59 +0200

signify-openbsd (25-1) experimental; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)
  * New upstream version 25

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 05 May 2019 17:10:15 +0200
