=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               libbsd-dev,
+               pkg-config
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
 
 Package: signify-openbsd
 Architecture: any
-Depends: libbsd0 (>= 0.7.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: libbsd0, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that
