=== debian/changelog ===
signify-openbsd (27-1) unstable; urgency=medium

  * New upstream version 27
  * Update std-ver 4.4.1

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 06 Nov 2019 21:35:30 +0100
