## signify-openbsd 28

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUNDLED_LIBBSD ?= 0
 PLEDGE         ?= noop
 WGET           ?= wget
-libbsd_VERSION ?= 0.9.1
+libbsd_VERSION ?= 0.10.0
 libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
 #                                                                #
 ##################################################################
@@ -234,6 +234,12 @@
 dist: T := $(GIT_TAG)
 dist: V := $(patsubst v%,%,$T)
 dist:
-	git archive --prefix=signify-$V/ $T | xz -9c > signify-$V.tar.xz
+	git archive-all --force-submodules --prefix=signify-$V/ signify-$V.tar
+	xz -f9 signify-$V.tar
 
 .PHONY: dist
+
+check: signify
+	@sh regress/run
+
+.PHONY: check
