=== debian/changelog ===
signify-openbsd (28-1) unstable; urgency=medium

  * New upstream version 28
  * Update std-ver to 4.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 07 Feb 2020 13:04:58 +0100
