=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
                debhelper-compat (= 12),
                libbsd-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
+Rules-Requires-Root: no
 
 Package: signify-openbsd
 Architecture: any
