## signify-openbsd 29

=== debian/changelog ===
signify-openbsd (29-1) unstable; urgency=medium

  * New upstream version 29
  * Bump std-ver to 4.5.0 (for real)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 13 Mar 2020 09:26:16 +0100
