=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper-compat (= 12),
                libbsd-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
