## signify-openbsd 30

=== Makefile ===
--- 
+++ 
@@ -162,9 +162,11 @@
 LDFLAGS += $(SECCOMP_LIBS) -pthread
 S       += libwaive/waive.c
 
+ifneq ($(wildcard .gitmodules),)
 libwaive/waive.c: .gitmodules
 	git submodule init && git submodule update libwaive
 	touch $@
+endif
 endif
 
 ifeq ($(strip $(VERIFY_ONLY)),)
@@ -230,6 +232,7 @@
 
 .PHONY: install
 
+ifneq ($(wildcard .git/),)
 GIT_TAG  = $(shell git describe --tags HEAD)
 dist: T := $(GIT_TAG)
 dist: V := $(patsubst v%,%,$T)
@@ -238,8 +241,17 @@
 	xz -f9 signify-$V.tar
 
 .PHONY: dist
+endif
 
 check: signify
 	@sh regress/run
 
 .PHONY: check
+
+static:
+	$(MAKE) EXTRA_CFLAGS='$(EXTRA_CFLAGS) -pthread' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS) -pthread -static' BUNDLED_LIBBSD=1
+
+static-musl:
+	$(MAKE) EXTRA_CFLAGS='$(EXTRA_CFLAGS) -pthread' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS) -pthread -static' MUSL=1 CC=musl-gcc LD=musl-gcc
+
+.PHONY: static musl-static
