=== debian/changelog ===
signify-openbsd (30-2) unstable; urgency=medium

  * Update watch file format version to 4.
  * Suggest signify-openbsd-keys (Closes: #979981)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Jan 2021 19:08:24 -0000

signify-openbsd (30-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Tomasz Buchert ]
  * New upstream version 30
  * debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 29 Sep 2020 07:58:21 +0200
