=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                libbsd-dev,
                pkg-config
 Standards-Version: 4.5.0
@@ -15,6 +15,7 @@
 Package: signify-openbsd
 Architecture: any
 Depends: libbsd0, ${misc:Depends}, ${shlibs:Depends}
+Suggests: signify-openbsd-keys
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that
@@ -29,6 +30,6 @@
  in this package is not exactly the same as the version provided
  in OpenBSD's CVS tree.
  .
- Please note that OpenBSD's public keys are not included with
- this package; you will have to find your own version in order
- to verify their releases.
+ Note that for convenience OpenBSD's public keys are shipped in the
+ signify-openbsd-keys package, but you can also download them
+ yourself.
