=== debian/watch ===
version=4
opts=uversionmangle=s/v// https://github.com/aperezdc/signify/releases /aperezdc/signify/archive/(.+)\.tar\.gz
