=== debian/changelog ===
signify-openbsd (31-3) unstable; urgency=medium

  * Update the licenses (Closes: #1022121)
  * Update std-ver to 4.6.1

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Oct 2022 23:04:56 +0200

signify-openbsd (31-2) unstable; urgency=medium

  * Fix debian/watch

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 25 Sep 2022 16:32:32 +0200

signify-openbsd (31-1) unstable; urgency=medium

  * Update d/watch
  * New upstream version 31

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 25 Apr 2022 23:39:35 +0200
