## signify-openbsd 32

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 CFLAGS   += $(EXTRA_CFLAGS)
 LDFLAGS  += $(EXTRA_LDFLAGS)
 CPPFLAGS += -include compat.h
+INSTALL  ?= install
 
 S := crypto_api.c \
      mod_ed25519.c \
@@ -21,6 +22,7 @@
 	 timingsafe_bcmp.c \
 	 blowfish.c \
 	 base64.c \
+	 ohash.c \
 	 sha2.c \
 	 sha256hl.c \
 	 sha512hl.c \
@@ -90,7 +92,7 @@
 
 else
 
-LIBBSD_PKG_VERSION := 0.7
+LIBBSD_PKG_VERSION := 0.8
 LIBBSD_PKG_CHECK   := $(shell pkg-config libbsd --atleast-version=$(LIBBSD_PKG_VERSION) && echo ok)
 ifneq ($(strip $(LIBBSD_PKG_CHECK)),ok)
   $(error libbsd is not installed or version is older than $(LIBBSD_PKG_VERSION))
@@ -119,9 +121,7 @@
 endif
 endif
 
-ifeq ($(strip $(VERIFY_ONLY)),)
-S += ohash.c
-else
+ifeq ($(strip $(VERIFY_ONLY)),1)
      CPPFLAGS += -DVERIFY_ONLY=1
      $(warning )
      $(warning ******************************************************)
@@ -175,10 +175,10 @@
 	    -e 's/SHA512_256_CTX/SHA2_CTX/g' $< > $@
 
 install: signify signify.1.gz
-	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
-	install -m 755 -t $(DESTDIR)$(PREFIX)/bin signify
-	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 -t $(DESTDIR)$(PREFIX)/share/man/man1 signify.1.gz
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m 755 -t $(DESTDIR)$(PREFIX)/bin signify
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	$(INSTALL) -m 644 -t $(DESTDIR)$(PREFIX)/share/man/man1 signify.1.gz
 
 .PHONY: install
