=== debian/changelog ===
signify-openbsd (32-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install files into /usr. (DEP17 M2) (Closes: #1060356)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:01:09 +0200

signify-openbsd (32-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Bastian Germann ]
  * Drop BSD advertisement clause (Closes: #1022121)

  [ Tomasz Buchert ]
  * New upstream version 32
  * Update std-ver to 4.6.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Mar 2024 10:56:56 +0100
