=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 13),
-               debhelper-compat (= 13),
-               libbsd-dev,
-               pkg-config
-Standards-Version: 4.6.1
+Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libbsd-dev, pkgconf
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
