=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,11 @@
 	dh_installman
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -- PREFIX=/usr
 	# remove the openbsd manpage dir
-	rm -r debian/signify-openbsd/share
+	rm -r debian/signify-openbsd/usr/share
 	# move signify to signify-openbsd
-	mv debian/signify-openbsd/bin/signify debian/signify-openbsd/bin/signify-openbsd
+	mv debian/signify-openbsd/usr/bin/signify debian/signify-openbsd/usr/bin/signify-openbsd
 
 override_dh_clean:
 	if [ -f signify-openbsd.1 ]; then mv signify-openbsd.1 signify.1; fi
