=== debian/watch ===
version=4
https://github.com/aperezdc/signify/tags .*/v(\d\S+)\.tar\.gz
